edu.sc.seis.sod

## Class QueryTime

- java.lang.Object
- - edu.sc.seis.sod.QueryTime

-     public class QueryTime
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `dbid`
    `protected java.lang.String` | `serverDNS`
    `protected java.lang.String` | `serverName`
    `protected java.sql.Timestamp` | `time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryTime()`
    `QueryTime(java.lang.String serverName, java.lang.String serverDNS, java.sql.Timestamp time)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `delayUntilNextRefresh(edu.iris.Fissures.model.TimeInterval refreshInterval)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getDbid()`
    `java.lang.String` | `getServerDNS()`
    `java.lang.String` | `getServerName()`
    `java.sql.Timestamp` | `getTime()`
    `int` | `hashCode()`
    `boolean` | `needsRefresh(edu.iris.Fissures.model.TimeInterval refreshInterval)`
    `protected void` | `setDbid(int dbid)`
    `protected void` | `setServerDNS(java.lang.String serverDNS)`
    `protected void` | `setServerName(java.lang.String serverName)`
    `void` | `setTime(java.sql.Timestamp time)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dbid

          protected int dbid

    - #### serverName

          protected java.lang.String serverName

    - #### serverDNS

          protected java.lang.String serverDNS

    - #### time

          protected java.sql.Timestamp time

  - ### Constructor Detail

    - #### QueryTime

          public QueryTime()

    - #### QueryTime

          public QueryTime(java.lang.String serverName,
                           java.lang.String serverDNS,
                           java.sql.Timestamp time)

  - ### Method Detail

    - #### needsRefresh

          public boolean needsRefresh(edu.iris.Fissures.model.TimeInterval refreshInterval)

    - #### getDbid

          public int getDbid()

    - #### getServerName

          public java.lang.String getServerName()

    - #### getServerDNS

          public java.lang.String getServerDNS()

    - #### getTime

          public java.sql.Timestamp getTime()

    - #### setDbid

          protected void setDbid(int dbid)

    - #### setServerName

          protected void setServerName(java.lang.String serverName)

    - #### setServerDNS

          protected void setServerDNS(java.lang.String serverDNS)

    - #### setTime

          public void setTime(java.sql.Timestamp time)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### delayUntilNextRefresh

          public long delayUntilNextRefresh(edu.iris.Fissures.model.TimeInterval refreshInterval)